Last Comment Bug 712285 - (tabs on top) throbber very close to edge
: (tabs on top) throbber very close to edge
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Thunderbird 12.0
Assigned To: Andreas Nilsson (:andreasn)
:
:
Mentors:
Depends on: tb-tabsontop
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-20 06:20 PST by Andreas Nilsson (:andreasn)
Modified: 2012-01-09 01:07 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Throbber patch (300 bytes, patch)
2011-12-23 09:50 PST, Richard Marti (:Paenglab)
no flags Details | Diff | Splinter Review
updated throbber patch (15.08 KB, patch)
2012-01-05 09:50 PST, Andreas Nilsson (:andreasn)
no flags Details | Diff | Splinter Review
throbber patch v3 (15.31 KB, patch)
2012-01-05 10:44 PST, Andreas Nilsson (:andreasn)
mconley: review+
mconley: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description Andreas Nilsson (:andreasn) 2011-12-20 06:20:52 PST
Followup to bug #644169 (comment 155).
Siddharth noted that the throbber in the tab is very close to the edge of the tab.
Comment 1 Andreas Nilsson (:andreasn) 2011-12-20 08:36:13 PST
The text also moves a couple of pixels to the left when the tab is loading, and the throbber is very big itself.
Firefox have two throbbers of nicer size. What one should we take? Both?
Comment 2 Richard Marti (:Paenglab) 2011-12-23 09:50:55 PST
Created attachment 584079 [details] [diff] [review]
Throbber patch

This patch only positions the throbber like the icon. So no more text move.

It's up to you if you want change the trobber.
Comment 3 Andreas Nilsson (:andreasn) 2012-01-05 09:50:20 PST
Created attachment 586120 [details] [diff] [review]
updated throbber patch

This adds the green styled throbber from Firefox to Richards patch. This throbber is more in style with the Win7 cursor loader graphics.
Comment 4 Andreas Nilsson (:andreasn) 2012-01-05 10:44:15 PST
Created attachment 586137 [details] [diff] [review]
throbber patch v3

This also changes the throbber in the all tabs dropdown.
Comment 5 Mike Conley (:mconley) 2012-01-05 11:40:10 PST
Comment on attachment 586137 [details] [diff] [review]
throbber patch v3

That's gorgeous!  Great work, Andreas!  I'm really quite happy with that. :)

-Mike
Comment 6 Mike Conley (:mconley) 2012-01-05 14:39:31 PST
Comment on attachment 586137 [details] [diff] [review]
throbber patch v3

We'll want this for TB 11 as well.
Comment 7 Mike Conley (:mconley) 2012-01-05 14:49:19 PST
Committed to comm-central as http://hg.mozilla.org/comm-central/rev/7fd685d744ac
Comment 8 Mark Banner (:standard8, afk until Dec) 2012-01-09 01:07:17 PST
Checked in: http://hg.mozilla.org/releases/comm-aurora/rev/d03ac4350cd7

Note You need to log in before you can comment on or make changes to this bug.